Description: I was wondering if one could use a LaTeX \ifXXX to check if a the catalog or answers option is set,

such that I can include the answers for open questions in the question source files.

This would be help full to not only to have the questions but the answers in the same file too.

I would use it something along the line
<pre>
\ifAMCAnswers
  the answer (text, picture, table or whatever)
\else
  the open space to be used by the student or a figure to be completed etc.
\fi
</pre>

History
04/02/2013 08:32 pm - Alexis Bienvenüe
- Description changed from I was wondering if one could use a LaTeX \ifXXX to check if a the catalog or answers option is set,
such that I can include the answers for open questions in the question source files.

This would be help full to not only to have the questions but the answers in the same file too.

I would use it something along the line
\ifAMCAnswers
  the answer (text, picture, table or whatever)
\else
  the open space to be used by the student or a figure to be completed etc.
\fi to I was wondering if one could use a LaTeX \ifXXX to check if a the catalog or answers option is set,
such that I can include the answers for open questions in the question source files.

This would be help full to not only to have the questions but the answers in the same file too.

I would use it something along the line
<pre>
\ifAMCAnswers
  the answer (text, picture, table or whatever)
\else
  the open space to be used by the student or a figure to be completed etc.
\fi
</pre>

04/02/2013 08:36 pm - Alexis Bienvenüe
This is @\AMC@correc@ (mind the "@@@" in the name). See @/usr/share/doc/texmf/AMC/automultiplechoice.pdf.gz@ for details.

04/02/2013 09:32 pm - Pieter  Van den Hombergh
Thank you for the quick answer.

I am using it as follows:
@\newtoggle{AMCAnswers}@
@\ifAMC@@@correc\toggletrue{AMCAnswers}\else\togglefalse{AMCAnswers}\fi@ in a style file, because of the @@@ character
and then use it as
<pre>
 @\iftoggle{AMCAnswers}{@
    Answers

    }{
    question box

    }@\toggle{AMCAnswers}@
</pre>
which requires the @\usepackage{etoolbox}@ which is ok for me.

04/02/2013 09:35 pm - Alexis Bienvenüe
> in a style file, because of the @ character
Yes. You can also enclose this line between @\makeatletter@ and @\makeatother@.

04/02/2013 09:55 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> > in a style file, because of the @ character
> Yes. You can also enclose this line between @\makeatletter@ and @\makeatother@.

Created a small entry on the forum to that effect.[[http://project.auto-multiple-choice.net/boards/2/topics/1014]]

08/03/2013 03:38 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed
